export enum AuthType {
  ADMIN = 'ADMIN',
  USER = 'USER',
}

export enum Provider {
  EMAIL = 'EMAIL',
  GOOGLE = 'GOOGLE',
  FACEBOOK = 'FACEBOOK',
  TWITTER = 'TWITTER',
  GITHUB = 'GITHUB',
  NULL = 'NULL',
}

export enum Permissions {
  UPDATE = 'UPDATE',
  UPDATE_PROFILE = 'UPDATE_PROFILE',
  CREATE_PASSWORD = 'CREATE_PASSWORD',
  UPDATE_PASSWORD = 'UPDATE_PASSWORD',
  FORGOT_PASSWORD = 'FORGOT_PASSWORD',
  LOGOUT = 'LOGOUT',
}
